package org.apache.bcel.generic;

import org.apache.bcel.ExceptionConst;

public class MONITORENTER extends Instruction implements ExceptionThrower, StackConsumer
{
    public MONITORENTER() {
        super((short)194, (short)1);
    }
    
    @Override
    public void accept(final Visitor v) {
        v.visitExceptionThrower(this);
        v.visitStackConsumer(this);
        v.visitMONITORENTER(this);
    }
    
    @Override
    public Class<?>[] getExceptions() {
        return new Class[] { ExceptionConst.NULL_POINTER_EXCEPTION };
    }
}
